[Rubyinstaller-devel] FYI: Ruby FFI tidbits

Jon jon.forums at gmail.com
Thu Aug 6 10:32:56 EDT 2009


I don't know how many of you are tracking the really cool efforts of Wayne and the FFI team, but just in case you're not already aware, here are some interesting FFI tidbits:

1) New 0.4.0 version available as a gem from http://gems.rubyforge.org/

Both Matt and I had install failures on 0.3.5.  I just got done trying out the following on an old test system (Win2K SP4) I use specifically because it's so cranky (things like spaces in pathnames, etc).  Here's what I got with 1.9.1p129 with DevKit 3.4.5r3:

D:\Jon\My Documents>gem19 install ffi
Building native extensions.  This could take a while...
Successfully installed ffi-0.4.0
1 gem installed
Installing ri documentation for ffi-0.4.0...
Updating class cache with 2146 classes...
Installing RDoc documentation for ffi-0.4.0...

GREAT!!!  Now to start actually playing with it and try it on XP, Vista, and 1.8.6...


2) The main FFI repository has moved to http://github.com/ffi/ffi/tree/master


3) From the worth watching category, part of Wayne's update to this issue

http://kenai.com/projects/ruby-ffi/lists/dev/archive/2009-08/message/5

was

"Win32 support is still in the "use at your own risk" category. Hopefully if it compiles on the devkit now, any problems can be fixed by windows people."

I for one have no problem with this other than I don't know who the "windows people" are ;)  I'm guessing there are a few here that might be interested though.


More information about the Rubyinstaller-devel mailing list